<template>
  <!-- 设置element-plus中文 -->
  <el-config-provider :message="config" :size="size">
    <router-view v-slot="{ Component }">
      <div>
        <component :is="Component" />
      </div>
    </router-view>
  </el-config-provider>
</template>

<script setup>
import { reactive, ref, onMounted } from 'vue';
//设置全局主题色插件
import { useElementPlusTheme } from '@/layout/tabbar/setting/theme/index'

//消息提示最大条数
const config = reactive({
  max: 3,
})
//全局组件大小
const size = ref('default')

onMounted(() => {
  useElementPlusTheme('#5CC4A7');
 
})
</script>

<style scoped></style>
<style lang="scss">
#app {}
</style>